from django.db import models
from django.db.models import Max
from datetime import datetime
from django.utils import formats
#from dbview.models import DbView
#import django_filters
# Create your models here.


class sms(models.Model):
    id = models.BigAutoField(primary_key=True)
    sms_doc=models.DateTimeField(max_length=64, default="")   ###models.DateTimeField(max_length=64)
    sms_str=models.CharField(max_length=256)
    status=models.CharField(max_length=64)

    def __str__(self):
        return str(self.id)

class customer(models.Model):
    id = models.BigAutoField(primary_key=True)
    name=models.CharField(max_length=64)
    address=models.CharField(max_length=128, null=True)
    telephone=models.CharField(max_length=64)
    status=models.CharField(max_length=64)

    def __str__(self):
        return str(self.id)

class customer_sms(models.Model):
    id = models.BigAutoField(primary_key=True)
    customer=models.ForeignKey(customer, on_delete=models.CASCADE)
    sms=models.ForeignKey(sms, on_delete=models.CASCADE)
    status=models.CharField(max_length=64)

    def __str__(self):
        return self.name


class view_v_msg_not_sent_001(models.Model):
    customer_sms_id = models.BigAutoField(primary_key=True)
    customer_id = models.IntegerField()
    sms_id = models.IntegerField()
    msg_json_str=models.CharField(max_length=564)
    mobile_no=models.CharField(max_length=64)
    class Meta:
        managed = False
        db_table = "v_msg_not_sent_001"
